"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var echarts = require("echarts/index.blank");

var _formatTooltip = require("../common/formatTooltip");

var _createList = require("../common/createList");

var Line3DSeries = echarts.extendSeriesModel({
  type: 'series.line3D',
  dependencies: ['grid3D'],
  visualStyleAccessPath: 'lineStyle',
  getInitialData: function (option, ecModel) {
    return (0, _createList.default)(this);
  },
  formatTooltip: function (dataIndex) {
    return (0, _formatTooltip.default)(this, dataIndex);
  },
  defaultOption: {
    coordinateSystem: 'cartesian3D',
    zlevel: -10,
    // Cartesian coordinate system
    grid3DIndex: 0,
    lineStyle: {
      width: 2
    },
    animationDurationUpdate: 500
  }
});
var _default = Line3DSeries;
exports.default = _default;