"use strict";

var echarts = require("echarts/index.blank");

var _createAxis3DModel = require("./createAxis3DModel");

var Axis3DModel = echarts.extendComponentModel({
  type: 'cartesian3DAxis',
  axis: null,

  /**
   * @override
   */
  getCoordSysModel: function () {
    return this.ecModel.queryComponents({
      mainType: 'grid3D',
      index: this.option.gridIndex,
      id: this.option.gridId
    })[0];
  }
});
echarts.helper.mixinAxisModelCommonMethods(Axis3DModel);

function getAxisType(axisDim, option) {
  // Default axis with data is category axis
  return option.type || (option.data ? 'category' : 'value');
}

(0, _createAxis3DModel.default)('x', Axis3DModel, getAxisType, {
  name: 'X'
});
(0, _createAxis3DModel.default)('y', Axis3DModel, getAxisType, {
  name: 'Y'
});
(0, _createAxis3DModel.default)('z', Axis3DModel, getAxisType, {
  name: 'Z'
});