"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _graphicGL = require("../graphicGL");

var _Sprites = require("../geometry/Sprites");

var _labelsGlsl = require("../shader/labels.glsl.js");

_graphicGL.default.Shader.import(_labelsGlsl.default);

var _default = _graphicGL.default.Mesh.extend(function () {
  var geometry = new _Sprites.default({
    dynamic: true
  });
  var material = new _graphicGL.default.Material({
    shader: _graphicGL.default.createShader('ecgl.labels'),
    transparent: true,
    depthMask: false
  });
  return {
    geometry: geometry,
    material: material,
    culling: false,
    castShadow: false,
    ignorePicking: true
  };
});

exports.default = _default;