"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getVisualColor = getVisualColor;
exports.getVisualOpacity = getVisualOpacity;
exports.getItemVisualColor = getItemVisualColor;
exports.getItemVisualOpacity = getItemVisualOpacity;

function getVisualColor(data) {
  const style = data.getVisual('style');

  if (style) {
    const drawType = data.getVisual('drawType');
    return style[drawType];
  }
}

function getVisualOpacity(data) {
  const style = data.getVisual('style');
  return style.opacity;
}

function getItemVisualColor(data, idx) {
  const style = data.getItemVisual(idx, 'style');

  if (style) {
    const drawType = data.getVisual('drawType');
    return style[drawType];
  }
}

function getItemVisualOpacity(data, idx) {
  const style = data.getItemVisual(idx, 'style');
  return style && style.opacity;
}